Trendtracker Connect
Endpoints

Search Topic Sets

Search for topic set by keyword and return the most relevant matches, ordered by name.

GET
/topic-sets

Authorization

APIKeyHeader superAdmin
x-api-key<token>

In: header

Scope: superAdmin

Query Parameters

query*Query

The query to search for.

Length1 <= length <= 50
take?Take

The number of results to return, ordered by descending relevance.

Default10
Range0 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://connect-api.trendtracker.ai/topic-sets?query=string"
{
  "data": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}